GrailsProjectRunner (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.project.container

## [Groovy] Class GrailsProjectRunner

- org.codehaus.groovy.grails.project.container.GrailsProjectRunner

- Runs the container embedded within the current JVM.

  Authors:
    Graeme Rocher
  Since:
    2.2

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `SCHEME_HTTP` |
    `static java.lang.String` | `SCHEME_HTTPS` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BaseSettingsApi` | `appClassName, buildEventListener, buildProps, buildSettings, configSlurper, enableProfile, grailsAppName, grailsHome, isInteractive, metadata, metadataFile, pluginSettings, pluginsHome, resolver`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `usingSecureServer`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsProjectRunner (GrailsProjectPackager projectPackager, GrailsProjectWarCreator warCreator, java.lang.ClassLoader classLoader)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.net.ServerSocket` | `createServerSocket(int port)`
    `GrailsProjectPackager` | `getProjectPackager()`
    `java.lang.String` | `getServerContextPath()`
    `java.lang.String` | `getUrl()`
    `java.lang.String` | `getUrlHttps()`
    `GrailsProjectWarCreator` | `getWarCreator()`
    `boolean` | `isServerRunning()` @return Whether the server is running
    `EmbeddableServer` | `runApp()` Runs the application in dev mode, i.e. with class-reloading.
    `EmbeddableServer` | `runAppHttps()` Runs the application in dev mode over HTTPS.
    `EmbeddableServer` | `runServer(java.util.Map args)` Runs the Server.
    `EmbeddableServer` | `runWar()` Runs the application using the WAR file directly.
    `EmbeddableServer` | `runWarHttps()` Runs the application over HTTPS using the WAR file directly.
    `void` | `stopServer()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BaseSettingsApi` | `confirmInput, confirmInput, copyGrailsResource, copyGrailsResource, copyGrailsResources, copyGrailsResources, createXmlSlurper, enableUaa, exit, getAppClassName, getAppGrailsVersion, getBuildEventListener, getBuildProps, getBuildSettings, getConfigSlurper, getGrailsAppName, getGrailsAppVersion, getGrailsHome, getIsInteractive, getMetadata, getMetadataFile, getPluginBuildSettings, getPluginSettings, getPluginsHome, getPropertyValue, getResolver, getServerHost, getServerPort, getServerPortHttps, getServletVersion, grailsResource, isDeclared, isEnableProfile, logError, logErrorAndExit, makeApiAvailableToScripts, makeRelative, makeRelative, profile, readAllPluginXmlMetadata, readPluginXmlMetadata, resolveResources, updateMetadata, updateMetadata`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String SCHEME_HTTP

    - #### public static final java.lang.String SCHEME_HTTPS

  - ### Property Detail

    - #### boolean usingSecureServer

  - ### Constructor Detail

    - #### GrailsProjectRunner(GrailsProjectPackager projectPackager, GrailsProjectWarCreator warCreator, java.lang.ClassLoader classLoader)

  - ### Method Detail

    - #### java.net.ServerSocket createServerSocket(int port)

    - #### GrailsProjectPackager getProjectPackager()

    - #### java.lang.String getServerContextPath()

    - #### java.lang.String getUrl()

    - #### java.lang.String getUrlHttps()

    - #### GrailsProjectWarCreator getWarCreator()

    - #### boolean isServerRunning()

      Returns:
        Whether the server is running

    - #### @groovy.transform.CompileStatic EmbeddableServer runApp()

      Runs the application in dev mode, i.e. with class-reloading.

    - #### @groovy.transform.CompileStatic EmbeddableServer runAppHttps()

      Runs the application in dev mode over HTTPS.

    - #### EmbeddableServer runServer(java.util.Map args)

      Runs the Server. You can pass these named arguments: server - The server instance to use (required). port - The network port the server is running on (used to display the URL) (required). scheme - The network scheme to display in the URL (optional; defaults to "http").

    - #### @groovy.transform.CompileStatic EmbeddableServer runWar()

      Runs the application using the WAR file directly.

    - #### @groovy.transform.CompileStatic EmbeddableServer runWarHttps()

      Runs the application over HTTPS using the WAR file directly.

    - #### @groovy.transform.CompileStatic void stopServer()